"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class CancerHotspotVariantAnnotation(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {}

    @classmethod
    def getEmbeddedTypes(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_8_9 import opencb as opencb_2_9_3

        return {
            "variants": opencb_2_9_3.CancerHotspotAlternateAnnotation,
        }

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_8_9 import opencb as opencb_2_9_3

        return {
            "org.opencb.biodata.models.variant.avro.CancerHotspotAlternateAnnotation": opencb_2_9_3.CancerHotspotAlternateAnnotation,
            "org.opencb.biodata.models.variant.avro.CancerHotspotVariantAnnotation": opencb_2_9_3.CancerHotspotVariantAnnotation,
        }

    __slots__ = [
        "aminoacidPosition",
        "aminoacidReference",
        "cancerType",
        "cancerTypeCount",
        "geneName",
        "organCount",
        "proteinId",
        "scores",
        "source",
        "variants",
    ]

    def __init__(
        self,
        aminoacidPosition=None,
        aminoacidReference=None,
        cancerType=None,
        cancerTypeCount=None,
        geneName=None,
        organCount=None,
        proteinId=None,
        scores=None,
        source=None,
        variants=None,
        validate=None,
        **kwargs
    ):
        """Initialise the opencb_2_9_3.CancerHotspotVariantAnnotation model.

        :param aminoacidPosition:
        :type aminoacidPosition: None | int
        :param aminoacidReference:
        :type aminoacidReference: None | str
        :param cancerType:
        :type cancerType: None | str
        :param cancerTypeCount:
        :type cancerTypeCount: None | dict[str, int]
        :param geneName:
        :type geneName: None | str
        :param organCount:
        :type organCount: None | dict[str, int]
        :param proteinId:
        :type proteinId: None | str
        :param scores:
        :type scores: None | dict[str, double]
        :param source:
        :type source: None | str
        :param variants:
        :type variants: None | list[CancerHotspotAlternateAnnotation]
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "2.9.3-GEL"
